## ECategoriesDialog

ECategoriesDialog

## Functions

GtkWidget * | e_categories_dialog_new ()
gchar * | e_categories_dialog_get_categories ()
void | e_categories_dialog_set_categories ()

## Types and Values

struct | ECategoriesDialog

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── GtkDialog
                                ╰── ECategoriesDialog

## Implemented Interfaces

ECategoriesDialog implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

### e_categories_dialog_new ()

    GtkWidget *
    e_categories_dialog_new (const gchar *categories);

Creates a new ECategoriesDialog widget and sets the initial selection to `categories` .

#### Parameters

categories | Comma-separated list of categories |

#### Returns

a new ECategoriesDialog

### e_categories_dialog_get_categories ()

    gchar *
    e_categories_dialog_get_categories (ECategoriesDialog *dialog);

Gets a comma-separated list of the categories currently selected in the dialog.

#### Parameters

dialog | An ECategoriesDialog |

#### Returns

a comma-separated list of categories. Free returned pointer with `g_free()`.

### e_categories_dialog_set_categories ()

    void
    e_categories_dialog_set_categories (ECategoriesDialog *dialog,
                                        const gchar *categories);

Sets the list of categories selected on the dialog.

#### Parameters

dialog | An ECategoriesDialog |
categories | Comma-separated list of categories |

## Types and Values

### struct ECategoriesDialog

    struct ECategoriesDialog;